gnutls_dtls_prestate_set(3)

NAME
gnutls_dtls_prestate_set - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_dtls_prestate_set(gnutls_session_t session, gnutls_dtls_prestate_st* prestate);

ARGUMENTS

gnutls_session_t session
    a new session

gnutls_dtls_prestate_st* prestate
    contains the client's prestate

DESCRIPTION
This function will associate the prestate acquired by the cookie authentication with the client, with the newly established session.

RETURNS
zero on success, or a negative error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.